iscsi_default_iface_setup(3)

NAME
iscsi_default_iface_setup - Setup default iSCSI interfaces.

SYNOPSIS
int iscsi_default_iface_setup (struct iscsi_context *ctx);

ARGUMENTS

ctx Pointer of 'struct iscsi_context'.

DESCRIPTION

Setup default iSCSI interfaces for iSCSI TCP, iSER and iSCSI hardware offload cards. It is required after new iSCSI hardware offload card installed.

Below kernel modules will be loaded when required by this function:

* cxgb3i * cxgb4i * bnx2i

It will also create configuration files for iSCSI hardware offload cards in /etc/iscsi/ifaces/<iface_name>.

RETURN
int. Valid error codes are:

* LIBISCSI_OK

* LIBISCSI_ERR_BUG

* LIBISCSI_ERR_NOMEM

* LIBISCSI_ERR_ACCESS

* LIBISCSI_ERR_SYSFS_LOOKUP

* LIBISCSI_ERR_IDBM

Error number could be converted to string by iscsi_strerror.